From e8b1bb4d126e68d48fdb3bd2df0be130f1bd1ece Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 05:17:06 +0000
Subject: [PATCH 1516/2232] Touch up pr 459


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 2240ed9..227df19 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -172,9 +172,7 @@ fn pick_includes_and_builtins(out: &mut OutFile, apis: &[Api]) {
                 out.include.cstdint = true;
                 out.builtin.rust_slice = true;
             }
-            Type::Array(_) => {
-                out.include.array = true;
-            }
+            Type::Array(_) => out.include.array = true,
             Type::Ref(_) | Type::Void(_) => {}
         }
     }
diff --git a/syntax/check.rs b/syntax/check.rs
index eaa10e9..a926d1c 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -2,8 +2,8 @@ use crate::syntax::atom::Atom::{self, *};
 use crate::syntax::report::Errors;
 use crate::syntax::types::TrivialReason;
 use crate::syntax::{
-    error, ident, Api, Array, Enum, ExternFn, ExternType, Impl, Lang, Receiver, Ref, Signature, Slice,
-    Struct, Ty1, Type, Types,
+    error, ident, Api, Array, Enum, ExternFn, ExternType, Impl, Lang, Receiver, Ref, Signature,
+    Slice, Struct, Ty1, Type, Types,
 };
 use proc_macro2::{Delimiter, Group, Ident, TokenStream};
 use quote::{quote, ToTokens};
@@ -194,7 +194,7 @@ fn check_type_array(cx: &mut Check, ty: &Array) {
         }
         Type::RustBox(_) | Type::RustVec(_) | Type::CxxVector(_) | Type::UniquePtr(_) => {}
         _ => cx.error(ty, "unsupported array target type"),
-    };
+    }
 }
 
 fn check_type_fn(cx: &mut Check, ty: &Signature) {
diff --git a/syntax/impls.rs b/syntax/impls.rs
index 6fae2f9..ef3ba8f 100644
--- a/syntax/impls.rs
+++ b/syntax/impls.rs
@@ -175,6 +175,7 @@ impl Hash for Slice {
 }
 
 impl Eq for Array {}
+
 impl PartialEq for Array {
     fn eq(&self, other: &Array) -> bool {
         let Array {
@@ -192,6 +193,7 @@ impl PartialEq for Array {
         inner == inner2 && len == len2
     }
 }
+
 impl Hash for Array {
     fn hash<H: Hasher>(&self, state: &mut H) {
         let Array {
@@ -201,7 +203,7 @@ impl Hash for Array {
             len,
         } = self;
         inner.hash(state);
-        len.to_string().hash(state);
+        len.hash(state);
     }
 }
 

